Planet
navi homePPSaboutscreenshotsdownloaddevelopmentforum

Changeset 2854 in orxonox.OLD for orxonox/branches/sound/configure


Ignore:
Timestamp:
Nov 14, 2004, 4:44:31 PM (20 years ago)
Author:
simon
Message:

/branches/sound: finally a running version. To test, you can switch the parameters in the test class sound_test. A .ogg file named music.ogg from the directory . is played. The test class is really ugly, I know.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • orxonox/branches/sound/configure

    r2627 r2854  
    43934393    fi
    43944394fi
     4395
     4396
     4397for ac_header in SDL/SDL_mixer.h
     4398do
     4399as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     4400if eval "test \"\${$as_ac_Header+set}\" = set"; then
     4401  echo "$as_me:$LINENO: checking for $ac_header" >&5
     4402echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     4403if eval "test \"\${$as_ac_Header+set}\" = set"; then
     4404  echo $ECHO_N "(cached) $ECHO_C" >&6
     4405fi
     4406echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     4407echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     4408else
     4409  # Is the header compilable?
     4410echo "$as_me:$LINENO: checking $ac_header usability" >&5
     4411echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
     4412cat >conftest.$ac_ext <<_ACEOF
     4413/* confdefs.h.  */
     4414_ACEOF
     4415cat confdefs.h >>conftest.$ac_ext
     4416cat >>conftest.$ac_ext <<_ACEOF
     4417/* end confdefs.h.  */
     4418$ac_includes_default
     4419#include <$ac_header>
     4420_ACEOF
     4421rm -f conftest.$ac_objext
     4422if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     4423  (eval $ac_compile) 2>conftest.er1
     4424  ac_status=$?
     4425  grep -v '^ *+' conftest.er1 >conftest.err
     4426  rm -f conftest.er1
     4427  cat conftest.err >&5
     4428  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4429  (exit $ac_status); } &&
     4430         { ac_try='test -z "$ac_c_werror_flag"
     4431                         || test ! -s conftest.err'
     4432  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4433  (eval $ac_try) 2>&5
     4434  ac_status=$?
     4435  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4436  (exit $ac_status); }; } &&
     4437         { ac_try='test -s conftest.$ac_objext'
     4438  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4439  (eval $ac_try) 2>&5
     4440  ac_status=$?
     4441  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4442  (exit $ac_status); }; }; then
     4443  ac_header_compiler=yes
     4444else
     4445  echo "$as_me: failed program was:" >&5
     4446sed 's/^/| /' conftest.$ac_ext >&5
     4447
     4448ac_header_compiler=no
     4449fi
     4450rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     4451echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
     4452echo "${ECHO_T}$ac_header_compiler" >&6
     4453
     4454# Is the header present?
     4455echo "$as_me:$LINENO: checking $ac_header presence" >&5
     4456echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
     4457cat >conftest.$ac_ext <<_ACEOF
     4458/* confdefs.h.  */
     4459_ACEOF
     4460cat confdefs.h >>conftest.$ac_ext
     4461cat >>conftest.$ac_ext <<_ACEOF
     4462/* end confdefs.h.  */
     4463#include <$ac_header>
     4464_ACEOF
     4465if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     4466  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     4467  ac_status=$?
     4468  grep -v '^ *+' conftest.er1 >conftest.err
     4469  rm -f conftest.er1
     4470  cat conftest.err >&5
     4471  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4472  (exit $ac_status); } >/dev/null; then
     4473  if test -s conftest.err; then
     4474    ac_cpp_err=$ac_c_preproc_warn_flag
     4475    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
     4476  else
     4477    ac_cpp_err=
     4478  fi
     4479else
     4480  ac_cpp_err=yes
     4481fi
     4482if test -z "$ac_cpp_err"; then
     4483  ac_header_preproc=yes
     4484else
     4485  echo "$as_me: failed program was:" >&5
     4486sed 's/^/| /' conftest.$ac_ext >&5
     4487
     4488  ac_header_preproc=no
     4489fi
     4490rm -f conftest.err conftest.$ac_ext
     4491echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
     4492echo "${ECHO_T}$ac_header_preproc" >&6
     4493
     4494# So?  What about this header?
     4495case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
     4496  yes:no: )
     4497    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
     4498echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
     4499    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
     4500echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
     4501    ac_header_preproc=yes
     4502    ;;
     4503  no:yes:* )
     4504    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
     4505echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
     4506    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
     4507echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
     4508    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
     4509echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
     4510    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
     4511echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
     4512    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
     4513echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
     4514    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
     4515echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     4516    (
     4517      cat <<\_ASBOX
     4518## ------------------------------------------- ##
     4519## Report this to orxonox-dev@mail.datacore.ch ##
     4520## ------------------------------------------- ##
     4521_ASBOX
     4522    ) |
     4523      sed "s/^/$as_me: WARNING:     /" >&2
     4524    ;;
     4525esac
     4526echo "$as_me:$LINENO: checking for $ac_header" >&5
     4527echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     4528if eval "test \"\${$as_ac_Header+set}\" = set"; then
     4529  echo $ECHO_N "(cached) $ECHO_C" >&6
     4530else
     4531  eval "$as_ac_Header=\$ac_header_preproc"
     4532fi
     4533echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     4534echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     4535
     4536fi
     4537if test `eval echo '${'$as_ac_Header'}'` = yes; then
     4538  cat >>confdefs.h <<_ACEOF
     4539#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     4540_ACEOF
     4541
     4542else
     4543  { { echo "$as_me:$LINENO: error: cannot find sdlmixer headers" >&5
     4544echo "$as_me: error: cannot find sdlmixer headers" >&2;}
     4545   { (exit 1); exit 1; }; }
     4546fi
     4547
     4548done
     4549
     4550
     4551LIBS="$LIBS -lSDL_mixer"
    43954552
    43964553# FIXME: Replace `main' with a function in `-lOSMesa':
Note: See TracChangeset for help on using the changeset viewer.